#ifndef __ASSEMBLER__

#ifndef __PIC32_C_H__
#define __PIC32_C_H__

#include <stdint.h>
#include "pic32.h"

/* Access. */

#define REG(mem)		*((volatile uint32_t *) (mem))

/* Bit clearing, setting and inverting. */

#define CLR_REG(mem, val)	(REG(mem + CLR) = val)
#define SET_REG(mem, val)	(REG(mem + SET) = val)
#define INV_REG(mem, val)	(REG(mem + INV) = val)

#endif /* __PIC32_C_H__ */

#endif /* __ASSEMBLER__ */
